## visad
Class TextType

    java.lang.Object
      visad.MathType
          visad.ScalarType
              visad.TextType

All Implemented Interfaces:
  Comparable, Serializable

public class TextType
extends ScalarType

TextType is the VisAD scalar data type for text string variables.

See Also:
  Serialized Form

Field Summary
`static TextType` `Generic`

Fields inherited from class visad.ScalarType
`Name`

Fields inherited from class visad.MathType
`SystemIntrinsic`

Constructor Summary
`` `TextType(String name)` name of type (two TextTypes are equal if their names are equal)
`(package private)` `TextType(String name, boolean b)`

Method Summary
`MathType` `binary(MathType type, int op, Vector names)`
`ShadowType` `buildShadowType(DataDisplayLink link, ShadowType parent)`
`MathType` `cloneDerivative(RealType d_partial)`
`boolean` `equals(Object type)` Indicates if this ScalarType is the same as another object.
`boolean` `equalsExceptName(MathType type)` this is useful for determining compatibility of Data objects for binary mathematical operations; any RealTypes are equal; any TextTypes are equal; TupleTypes are equal if their components are equal; FunctionTypes are equal if their domains and ranges are equal
`boolean` `equalsExceptNameButUnits(MathType type)`
`static TextType` `getTextType(String name)` create a new TextType, or return it if it already exists
`static TextType` `getTextTypeByName(String name)` return any TextType constructed in this JVM with name, or null
`Data` `missingData()` returns a missing Data object for any MathType
`String` `prettyString(int indent)`
`MathType` `unary(int op, Vector names)`

Methods inherited from class visad.ScalarType
`alias, compareTo, getAlias, getName, getNameWithBlanks, getOriginalName, getScalarTypeByName, hashCode, readResolve, validateName`

Methods inherited from class visad.MathType
`addTimeAlias, findScalarType, guessMaps, main, prettyString, stringToType, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Generic

    public static final TextType Generic

Constructor Detail

### TextType

    public TextType(String name)
             throws VisADException

  name of type (two TextTypes are equal if their names are equal)

### TextType

    TextType(String name,
             boolean b)

Method Detail

### equals

    public boolean equals(Object type)

  Description copied from class: `ScalarType`
  Indicates if this ScalarType is the same as another object.

  Overrides:
    `equals` in class `ScalarType`
  Parameters:
    `type` - The other object.
  Returns:
    `true` if and only if the other object is a ScalarType and compares equal to this ScalarType.

### equalsExceptName

    public boolean equalsExceptName(MathType type)

  Description copied from class: `MathType`
  this is useful for determining compatibility of Data objects for binary mathematical operations; any RealTypes are equal; any TextTypes are equal; TupleTypes are equal if their components are equal; FunctionTypes are equal if their domains and ranges are equal

  Specified by:
    `equalsExceptName` in class `MathType`

### equalsExceptNameButUnits

    public boolean equalsExceptNameButUnits(MathType type)
                                     throws VisADException

  Specified by:
    `equalsExceptNameButUnits` in class `MathType`
  Throws:
    `VisADException`

### cloneDerivative

    public MathType cloneDerivative(RealType d_partial)
                             throws VisADException

  Specified by:
    `cloneDerivative` in class `MathType`
  Throws:
    `VisADException`

### binary

    public MathType binary(MathType type,
                           int op,
                           Vector names)
                    throws VisADException

  Specified by:
    `binary` in class `MathType`
  Throws:
    `VisADException`

### unary

    public MathType unary(int op,
                          Vector names)
                   throws VisADException

  Specified by:
    `unary` in class `MathType`
  Throws:
    `VisADException`

### getTextType

    public static TextType getTextType(String name)

  create a new TextType, or return it if it already exists

### getTextTypeByName

    public static TextType getTextTypeByName(String name)

  return any TextType constructed in this JVM with name, or null

### prettyString

    public String prettyString(int indent)

  Specified by:
    `prettyString` in class `MathType`

### missingData

    public Data missingData()
                     throws VisADException

  Description copied from class: `MathType`
  returns a missing Data object for any MathType

  Specified by:
    `missingData` in class `MathType`
  Throws:
    `VisADException`

### buildShadowType

    public ShadowType buildShadowType(DataDisplayLink link,
                                      ShadowType parent)
                               throws VisADException,
                                      RemoteException

  Specified by:
    `buildShadowType` in class `MathType`
  Throws:
    `VisADException`
    `RemoteException`